Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.ranges
Class JRexDOMRangeImpl

    java.lang.Object
      org.mozilla.jrex.dom.ranges.JRexDOMRangeImpl

All Implemented Interfaces:
  Range

public class JRexDOMRangeImpl
extends Object
implements Range

A class implementing org.w3c.dom.ranges.Range interface.

Version:
  1.0 see http://www.w3.org/TR/DOM-Level-2-Traversal-Range/
Author:
  C.N.Medappa

Field Summary

Fields inherited from interface org.w3c.dom.ranges.Range
`END_TO_END, END_TO_START, START_TO_END, START_TO_START`

Method Summary
`DocumentFragment` | `cloneContents()` Duplicates the contents of a Range
`Range` | `cloneRange()` Produces a new Range whose boundary-points are equal to the boundary-points of the Range.
`void` | `collapse(boolean toStart)` Collapse a Range onto one of its boundary-points
`short` | `compareBoundaryPoints(short cmpType, Range srcRange)` Compare the boundary-points of two Ranges in a document.
`void` | `deleteContents()` Removes the contents of a Range from the containing document or document fragment without returning a reference to the removed content.
`void` | `detach()` Called to indicate that the Range is no longer in use and that the implementation may relinquish any resources associated with this Range.
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`DocumentFragment` | `extractContents()` Moves the contents of a Range from the containing document or document fragment to a new DocumentFragment.
`protected void` | `finalize()`
`boolean` | `getCollapsed()` TRUE if the Range is collapsed
`Node` | `getCommonAncestorContainer()` The deepest common ancestor container of the Range's two boundary-points.
`Node` | `getEndContainer()` Node within which the Range ends
`int` | `getEndOffset()` Offset within the ending node of the Range.
`Node` | `getStartContainer()` Node within which the Range begins
`int` | `getStartOffset()` Offset within the starting node of the Range.
`int` | `hashCode()`
`void` | `insertNode(Node node)` Inserts a node into the Document or DocumentFragment at the start of the Range.
`void` | `selectNode(Node node)` Select a node and its contents
`void` | `selectNodeContents(Node node)` Select the contents within a node
`void` | `setEnd(Node node, int offSet)` Sets the attributes describing the end of a Range.
`void` | `setEndAfter(Node node)` Sets the end of a Range to be after a node
`void` | `setEndBefore(Node node)` Sets the end position to be before a node.
`void` | `setStart(Node node, int offSet)` Sets the attributes describing the start of the Range.
`void` | `setStartAfter(Node node)` Sets the start position to be after a node
`void` | `setStartBefore(Node node)` Sets the start position to be before a node
`void` | `surroundContents(Node node)` Reparents the contents of the Range to the given node and inserts the node at the position of the start of the Range.
`String` | `toString()` Returns the contents of a Range as a string.

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getStartContainer

    public Node getStartContainer()
                           throws DOMException

  Description copied from interface: `Range`
  Node within which the Range begins

  Specified by:
    `getStartContainer` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getStartOffset

    public int getStartOffset()
                       throws DOMException

  Description copied from interface: `Range`
  Offset within the starting node of the Range.

  Specified by:
    `getStartOffset` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getEndContainer

    public Node getEndContainer()
                         throws DOMException

  Description copied from interface: `Range`
  Node within which the Range ends

  Specified by:
    `getEndContainer` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getEndOffset

    public int getEndOffset()
                     throws DOMException

  Description copied from interface: `Range`
  Offset within the ending node of the Range.

  Specified by:
    `getEndOffset` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getCollapsed

    public boolean getCollapsed()
                         throws DOMException

  Description copied from interface: `Range`
  TRUE if the Range is collapsed

  Specified by:
    `getCollapsed` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getCommonAncestorContainer

    public Node getCommonAncestorContainer()
                                    throws DOMException

  Description copied from interface: `Range`
  The deepest common ancestor container of the Range's two boundary-points.

  Specified by:
    `getCommonAncestorContainer` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setStart

    public void setStart(Node node,
                         int offSet)
                  throws RangeException,
                         DOMException

  Description copied from interface: `Range`
  Sets the attributes describing the start of the Range.

  Specified by:
    `setStart` in interface `Range`
  Parameters:
    `node` - `refNode` value. This parameter must be different from `null`.
    `offSet` - `startOffset` value.
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if `refNode` or an ancestor of `refNode` is an Entity, Notation, or DocumentType node.
    `DOMException` - INDEX_SIZE_ERR: Raised if `offset` is negative or greater than the number of child units in `refNode`. Child units are 16-bit units if `refNode` is a type of CharacterData node (e.g., a Text or Comment node) or a ProcessingInstruction node. Child units are Nodes in all other cases.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setEnd

    public void setEnd(Node node,
                       int offSet)
                throws RangeException,
                       DOMException

  Description copied from interface: `Range`
  Sets the attributes describing the end of a Range.

  Specified by:
    `setEnd` in interface `Range`
  Parameters:
    `node` - `refNode` value. This parameter must be different from `null`.
    `offSet` - `endOffset` value.
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if `refNode` or an ancestor of `refNode` is an Entity, Notation, or DocumentType node.
    `DOMException` - INDEX_SIZE_ERR: Raised if `offset` is negative or greater than the number of child units in `refNode`. Child units are 16-bit units if `refNode` is a type of CharacterData node (e.g., a Text or Comment node) or a ProcessingInstruction node. Child units are Nodes in all other cases.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setStartBefore

    public void setStartBefore(Node node)
                        throws RangeException,
                               DOMException

  Description copied from interface: `Range`
  Sets the start position to be before a node

  Specified by:
    `setStartBefore` in interface `Range`
  Parameters:
    `node` - starts before `refNode`
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if the root container of `refNode` is not an Attr, Document, or DocumentFragment node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setStartAfter

    public void setStartAfter(Node node)
                       throws RangeException,
                              DOMException

  Description copied from interface: `Range`
  Sets the start position to be after a node

  Specified by:
    `setStartAfter` in interface `Range`
  Parameters:
    `node` - starts after `refNode`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if the root container of `refNode` is not an Attr, Document, or DocumentFragment node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.

### setEndBefore

    public void setEndBefore(Node node)
                      throws RangeException,
                             DOMException

  Description copied from interface: `Range`
  Sets the end position to be before a node.

  Specified by:
    `setEndBefore` in interface `Range`
  Parameters:
    `node` - ends before `refNode`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if the root container of `refNode` is not an Attr, Document, or DocumentFragment node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.

### setEndAfter

    public void setEndAfter(Node node)
                     throws RangeException,
                            DOMException

  Description copied from interface: `Range`
  Sets the end of a Range to be after a node

  Specified by:
    `setEndAfter` in interface `Range`
  Parameters:
    `node` - ends after `refNode`.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if the root container of `refNode` is not an Attr, Document or DocumentFragment node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.

### collapse

    public void collapse(boolean toStart)
                  throws DOMException

  Description copied from interface: `Range`
  Collapse a Range onto one of its boundary-points

  Specified by:
    `collapse` in interface `Range`
  Parameters:
    `toStart` - If TRUE, collapses the Range onto its start; if FALSE, collapses it onto its end.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### selectNode

    public void selectNode(Node node)
                    throws RangeException,
                           DOMException

  Description copied from interface: `Range`
  Select a node and its contents

  Specified by:
    `selectNode` in interface `Range`
  Parameters:
    `node` - node to select.
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if an ancestor of `refNode` is an Entity, Notation or DocumentType node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### selectNodeContents

    public void selectNodeContents(Node node)
                            throws RangeException,
                                   DOMException

  Description copied from interface: `Range`
  Select the contents within a node

  Specified by:
    `selectNodeContents` in interface `Range`
  Parameters:
    `node` - to select from
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if `refNode` or an ancestor of `refNode` is an Entity, Notation or DocumentType node.

### compareBoundaryPoints

    public short compareBoundaryPoints(short cmpType,
                                       Range srcRange)
                                throws DOMException

  Description copied from interface: `Range`
  Compare the boundary-points of two Ranges in a document.

  Specified by:
    `compareBoundaryPoints` in interface `Range`
  Parameters:
    `cmpType` - A code representing the type of comparison, as defined above.
    `srcRange` - `Range` on which this current `Range` is compared to.
  Returns:
    -1, 0 or 1 depending on whether the corresponding boundary-point of the Range is respectively before, equal to, or after the corresponding boundary-point of `sourceRange`.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if the two Ranges are not in the same Document or DocumentFragment.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### deleteContents

    public void deleteContents()
                        throws DOMException

  Description copied from interface: `Range`
  Removes the contents of a Range from the containing document or document fragment without returning a reference to the removed content.

  Specified by:
    `deleteContents` in interface `Range`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if any portion of the content of the Range is read-only or any of the nodes that contain any of the content of the Range are read-only.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### extractContents

    public DocumentFragment extractContents()
                                     throws DOMException

  Description copied from interface: `Range`
  Moves the contents of a Range from the containing document or document fragment to a new DocumentFragment.

  Specified by:
    `extractContents` in interface `Range`
  Returns:
    A DocumentFragment containing the extracted contents.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if any portion of the content of the Range is read-only or any of the nodes which contain any of the content of the Range are read-only.
    HIERARCHY_REQUEST_ERR: Raised if a DocumentType node would be extracted into the new DocumentFragment.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### cloneContents

    public DocumentFragment cloneContents()
                                   throws DOMException

  Description copied from interface: `Range`
  Duplicates the contents of a Range

  Specified by:
    `cloneContents` in interface `Range`
  Returns:
    A DocumentFragment that contains content equivalent to this Range.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if a DocumentType node would be extracted into the new DocumentFragment.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### insertNode

    public void insertNode(Node node)
                    throws RangeException,
                           DOMException

  Description copied from interface: `Range`
  Inserts a node into the Document or DocumentFragment at the start of the Range. If the container is a Text node, this will be split at the start of the Range (as if the Text node's splitText method was performed at the insertion point) and the insertion will occur between the two resulting Text nodes. Adjacent Text nodes will not be automatically merged. If the node to be inserted is a DocumentFragment node, the children will be inserted rather than the DocumentFragment node itself.

  Specified by:
    `insertNode` in interface `Range`
  Parameters:
    `node` - node to insert at the start of the Range
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if an ancestor container of the start of the Range is read-only.
    WRONG_DOCUMENT_ERR: Raised if `newNode` and the container of the start of the Range were not created from the same document.
    HIERARCHY_REQUEST_ERR: Raised if the container of the start of the Range is of a type that does not allow children of the type of `newNode` or if `newNode` is an ancestor of the container.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if `newNode` is an Attr, Entity, Notation, or Document node.

### surroundContents

    public void surroundContents(Node node)
                          throws RangeException,
                                 DOMException

  Description copied from interface: `Range`
  Reparents the contents of the Range to the given node and inserts the node at the position of the start of the Range.

  Specified by:
    `surroundContents` in interface `Range`
  Parameters:
    `node` - node to surround the contents with.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if an ancestor container of either boundary-point of the Range is read-only.
    WRONG_DOCUMENT_ERR: Raised if `newParent` and the container of the start of the Range were not created from the same document.
    HIERARCHY_REQUEST_ERR: Raised if the container of the start of the Range is of a type that does not allow children of the type of `newParent` or if `newParent` is an ancestor of the container or if `node` would end up with a child node of a type not allowed by the type of `node`.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - BAD_BOUNDARYPOINTS_ERR: Raised if the Range partially selects a non-text node.
    INVALID_NODE_TYPE_ERR: Raised if `node` is an Attr, Entity, DocumentType, Notation, Document, or DocumentFragment node.

### cloneRange

    public Range cloneRange()
                     throws DOMException

  Description copied from interface: `Range`
  Produces a new Range whose boundary-points are equal to the boundary-points of the Range.

  Specified by:
    `cloneRange` in interface `Range`
  Returns:
    The duplicated Range.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### toString

    public String toString()
                    throws DOMException

  Description copied from interface: `Range`
  Returns the contents of a Range as a string. This string contains only the data characters, not any markup.

  Specified by:
    `toString` in interface `Range`
  Throws:
    `DOMException`

### detach

    public void detach()
                throws DOMException

  Description copied from interface: `Range`
  Called to indicate that the Range is no longer in use and that the implementation may relinquish any resources associated with this Range. Subsequent calls to any methods or attribute getters on this Range will result in a `DOMException` being thrown with an error code of `INVALID_STATE_ERR`.

  Specified by:
    `detach` in interface `Range`
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.